[Rubyinstaller-devel] Ruby 1.8.7-preview1 binaries uploaded

Luis Lavena luislavena at gmail.com
Wed Apr 16 00:13:07 EDT 2008


On Wed, Apr 16, 2008 at 1:07 AM, Gordon Thiesfeld <gthiesfeld at gmail.com> wrote:
> >  So, after all, I think we will require manually build the external
>  >  libraries that Ruby depends on.
>  >
>  >  Thoughts?
>  >
>  >  [1] http://builder.mmediasys.com:8333/
>  >  [2] http://dump.mmediasys.com/installer3/
>  >
>
>  I'll try to work on compiling OpenSSL some more this weekend.
>
>  Also, I get a "Connection timed out" error when I go to
>
> http://builder.mmediasys.com:8333/
>

Yeah, forgot to put that system in the UPS, and turned down the power
when leaving the office.

Sorry for that :-(

I think I need to re-work the whole rake recipes and compilation
procedures, to allow building theses dependencies with the rake files.

Maybe abuse of Ruby power and do my own DSL that generates the require
rake task for it? After all, done that several times for projects like
mongrel_service and it's dependencies.

The only ones that can turn into a nightmare are gettext and libiconv,
they need build two times since they depend each other... (what kind
of sadistic programmer designed that?)

I'm installing Vista at the office to see what is happening with it :-P

Regards,
-- 
Luis Lavena
Multimedia systems
-
Human beings, who are almost unique in having the ability to learn from
the experience of others, are also remarkable for their apparent
disinclination to do so.
Douglas Adams


More information about the Rubyinstaller-devel mailing list